---
title: Computed value
slug: Web/CSS/computed_value
tags:
  - CSS
  - Guide
  - Reference
---
<div>{{cssref}}</div>

<p><span class="seoSummary">The <strong>computed value</strong> of a <a href="/en-US/docs/Web/CSS">CSS</a> property is the value that is transferred from parent to child during inheritance.</span> It is calculated from the <a href="/en-US/docs/Web/CSS/specified_value">specified value</a> by:</p>

<ol>
 <li>Handling the special values {{cssxref("inherit")}}, {{cssxref("initial")}}, {{cssxref("unset")}}, and {{cssxref("revert")}}.</li>
 <li>Doing the computation needed to reach the value described in the "Computed value" line in the property's definition table.</li>
</ol>

<p>The computation needed to reach a property's computed value typically involves converting relative values (such as those in <code>em</code> units or percentages) to absolute values. For example, if an element has specified values <code>font-size: 16px</code> and <code>padding-top: 2em</code>, then the computed value of <code>padding-top</code> is <code>32px</code> (double the font size).</p>

<p>However, for some properties (those where percentages are relative to something that may require layout to determine, such as <code>width</code>, <code>margin-right</code>, <code>text-indent</code>, and <code>top</code>), percentage-specified values turn into percentage-computed values. Additionally, unitless numbers specified on the <code>line-height</code> property become the computed value, as specified. The relative values that remain in the computed value become absolute when the <a href="/en-US/docs/Web/CSS/used_value">used value</a> is determined.</p>

<div class="note">
<p><strong>Note:</strong> The {{domxref("Window.getComputedStyle", "getComputedStyle()")}} DOM API returns the <a href="/en-US/docs/Web/CSS/resolved_value">resolved value</a>, which may either be the <a href="/en-US/docs/Web/CSS/computed_value">computed value</a> or the <a href="/en-US/docs/Web/CSS/used_value">used value</a>, depending on the property.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS2.2", "cascade.html#computed-value", "computed-value")}}</td>
   <td>{{Spec2("CSS2.2")}}</td>
   <td>
    <p>No change.</p>
   </td>
  </tr>
  <tr>
   <td>{{SpecName("CSS2.1", "cascade.html#computed-value", "computed value")}}</td>
   <td>{{Spec2("CSS2.1")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("window.getComputedStyle")}}</li>
 <li>{{CSS_key_concepts}}</li>
</ul>
